### Method

# Camel NameValueArray set

since: 3.24

#### Declaration [src]

    gboolean
    camel_name_value_array_set (
      CamelNameValueArray* array,
      guint index,
      const gchar* name,
      const gchar* value
    )

#### Description [src]

Sets both the `name` and the `value` of the element at index `index`.

Available since: 3.24

#### Parameters

`index`

  Type: `guint`

  An index.

`name`

  Type: `const gchar*`

  A name.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`value`

  Type: `const gchar*`

  A value.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

Whether the `array` changed.

See: camel_name_value_array_append, camel_name_value_array_set_name, camel_name_value_array_set_value.